package com.dbs.mplus.knuh.model;

public class ConsentFormListVO {

  private String consentMstRid = "";
  private String pid           = "";
  private String consentState  = "";
  private String formCd        = "";
  private String formGuid      = "";
  private String formName      = "";
  private String formRid       = "";
  private String printOnly     = "";
  private String ocrTagPrntYn  = "";
  private String formPrntNm    = "";
  private String certUseYn     = "";
  private String opDiagNm      = "";
  private String opNm          = "";
  private String userDrFlag    = "";
  private String linkFormCd    = "";

  public ConsentFormListVO(String consentMstRid, String pid, String consentState, String formCd, String formGuid, String formName, String formRid, String printOnly, String ocrTagPrntYn, String formPrntNm, String certUseYn, String opDiagNm, String opNm, String userDrFlag, String linkFormCd) {
    this.consentMstRid = consentMstRid;
    this.pid           = pid;
    this.consentState  = consentState;
    this.formCd        = formCd;
    this.formGuid      = formGuid;
    this.formName      = formName;
    this.formRid       = formRid;
    this.printOnly     = printOnly;
    this.ocrTagPrntYn  = ocrTagPrntYn;
    this.formPrntNm    = formPrntNm;
    this.certUseYn     = certUseYn;
    this.opDiagNm      = opDiagNm;
    this.opNm          = opNm;
    this.userDrFlag    = userDrFlag;
    this.linkFormCd    = linkFormCd;
  }


  public String getConsentMstRid() {
    return consentMstRid;
  }

  public void setConsentMstRid(String consentMstRid) {
    this.consentMstRid = consentMstRid;
  }

  public String getPid() {
    return pid;
  }

  public void setPid(String pid) {
    this.pid = pid;
  }

  public String getConsentState() {
    return consentState;
  }

  public void setConsentState(String consentState) {
    this.consentState = consentState;
  }

  public String getFormCd() {
    return formCd;
  }

  public void setFormCd(String formCd) {
    this.formCd = formCd;
  }

  public String getFormGuid() {
    return formGuid;
  }

  public void setFormGuid(String formGuid) {
    this.formGuid = formGuid;
  }

  public String getFormName() {
    return formName;
  }

  public void setFormName(String formName) {
    this.formName = formName;
  }

  public String getFormRid() {
    return formRid;
  }

  public void setFormRid(String formRid) {
    this.formRid = formRid;
  }

  public String getPrintOnly() {
    return printOnly;
  }

  public void setPrintOnly(String printOnly) {
    this.printOnly = printOnly;
  }

  public String getOcrTagPrntYn() {
    return ocrTagPrntYn;
  }

  public void setOcrTagPrntYn(String ocrTagPrntYn) {
    this.ocrTagPrntYn = ocrTagPrntYn;
  }

  public String getFormPrntNm() {
    return formPrntNm;
  }

  public void setFormPrntNm(String formPrntNm) {
    this.formPrntNm = formPrntNm;
  }

  public String getCertUseYn() {
    return certUseYn;
  }

  public void setCertUseYn(String certUseYn) {
    this.certUseYn = certUseYn;
  }

  public String getOpDiagNm() {
    return opDiagNm;
  }

  public void setOpDiagNm(String opDiagNm) {
    this.opDiagNm = opDiagNm;
  }

  public String getOpNm() {
    return opNm;
  }

  public void setOpNm(String opNm) {
    this.opNm = opNm;
  }

  public String getUserDrFlag() {
    return userDrFlag;
  }

  public void setUserDrFlag(String userDrFlag) {
    this.userDrFlag = userDrFlag;
  }

  public String getLinkFormCd() {
    return linkFormCd;
  }

  public void setLinkFormCd(String linkFormCd) {
    this.linkFormCd = linkFormCd;
  }
}
